endianfns.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <endian.h>`

Go to the source code of this file.

## Macros

#define | GWEN_ENDIAN_HTOLE16(x)
#define | GWEN_ENDIAN_HTOLE32(x)
#define | GWEN_ENDIAN_HTOLE64(x)
#define | GWEN_ENDIAN_LE16TOH(x)
#define | GWEN_ENDIAN_LE32TOH(x)
#define | GWEN_ENDIAN_LE64TOH(x)

## Macro Definition Documentation

## GWEN_ENDIAN_HTOLE16

#define GWEN_ENDIAN_HTOLE16 | ( |  | x | ) |

Value:
htole16(x)

Definition at line 69 of file endianfns.h.

## GWEN_ENDIAN_HTOLE32

#define GWEN_ENDIAN_HTOLE32 | ( |  | x | ) |

Value:
htole32(x)

Definition at line 72 of file endianfns.h.

## GWEN_ENDIAN_HTOLE64

#define GWEN_ENDIAN_HTOLE64 | ( |  | x | ) |

Value:
htole64(x)

Definition at line 75 of file endianfns.h.

## GWEN_ENDIAN_LE16TOH

#define GWEN_ENDIAN_LE16TOH | ( |  | x | ) |

Value:
le16toh(x)

Definition at line 68 of file endianfns.h.

## GWEN_ENDIAN_LE32TOH

#define GWEN_ENDIAN_LE32TOH | ( |  | x | ) |

Value:
le32toh(x)

Definition at line 71 of file endianfns.h.

## GWEN_ENDIAN_LE64TOH

#define GWEN_ENDIAN_LE64TOH | ( |  | x | ) |

Value:
le64toh(x)

Definition at line 74 of file endianfns.h.